## org.ascape.query.parser
Class QTInput

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTInput

All Implemented Interfaces:
  Node, Validated

    public class QTInput

extends SimpleNode
implements Validated

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTInput(BoolExprTree p, int id)`
`QTInput(int id)`

Method Summary
`void` `validate(java.lang.Object object)`
`void` `validateChildren(java.lang.Object object, Node node)`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTInput

    public QTInput(int id)

### QTInput

    public QTInput(BoolExprTree p,
                   int id)

Method Detail

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Specified by:
    `validate` in interface `Validated`
  Throws:
    `ParseException`

### validateChildren

    public void validateChildren(java.lang.Object object,
                                 Node node)
                          throws ParseException

  Throws:
    `ParseException`